!> \file deform_declar_mod-0.3.f90
!! Module pour la declaration des variables intervenant dans la deformation
!<

!> \namespace deform_declar
!! Module pour la declaration des variables intervenant dans la deformation
!! \author CatRitz
!! \date 25 Novembre 1999
!! @note Used modules
!! @note    - use module3d_phy
!<
MODULE DEFORM_DECLAR

  USE module3D_phy

  implicit none
  !>
  !! @note la valeur de n1poly et de n2poly determine le nombre d'exposants 
  !! de la loi de deformation differents utilises
  !<

  INTEGER, PARAMETER :: n1poly=1,n2poly=2

  REAL, dimension(NX,NY,NZ) :: TETA !< TETA = T - TPMP
  REAL, dimension(NX,NY,NZ-1) :: TI2 !< calcule dans flow_general

  REAL, dimension(:), allocatable :: TTRANS !< temperature de transition entre les 
                                            !<  deux lois en deg Celsius

  REAL, dimension(NX,NY,NZ) :: visc !< Viscosit de la glace (pour les shelves)
  REAL, dimension(:),allocatable :: GLEN !< tableau contenant les exposants des lois
                                         !<  de deformation utilisees

  REAL, dimension(:), allocatable :: Q1 !< tableau contenant les  energies d'activation
  !< pour les differentes lois de deformation (temp < TTRANS)
  REAL, dimension(:), allocatable :: Q2 !<  tableau contenant les  energies d'activation
  !< pour les differentes lois de deformation (temp > TTRANS)

  REAL, dimension(:), allocatable :: BAT1 !< tableau contenant les fluidite Newtonienne
  !< pour les differentes lois de deformation (temp < TTRANS)
  REAL, dimension(:), allocatable :: BAT2 !< tableau contenant les fluidite Newtonienne
  !< pour les differentes lois de deformation (temp > TTRANS)

  REAL, dimension(:), allocatable :: SF !< softening factor for flow law

END MODULE DEFORM_DECLAR
